> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 引用投稿

> 特定のポストに対する引用投稿を取得する

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Quote Posts エンドポイントを使用すると、特定のポストを引用している投稿を取得できます。ユーザーがコンテンツにどのようにコメントし、共有しているかを確認できます。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="引用ポストの取得" icon="quote-right">
    特定のポストに対するすべての引用投稿を取得する
  </Card>

  <Card title="エンゲージメントインサイト" icon="chart-line">
    コンテンツに対してどのような議論が行われているかを確認する
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## エンドポイント
</div>

| メソッド | エンドポイント                                                          | 説明                |
| :--- | :--------------------------------------------------------------- | :---------------- |
| GET  | [`/2/tweets/:id/quote_tweets`](/ja/x-api/posts/get-quoted-posts) | ポストに対する引用投稿を取得します |

***

<div id="example-request">
  ## リクエスト例
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/quote_tweets?\
tweet.fields=created_at,author_id,public_metrics&\
expansions=author_id&\
user.fields=username" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## レスポンス例
</div>

```json theme={null}
{
  "data": [
    {
      "id": "9876543210",
      "text": "Great point! This is exactly what we need.",
      "author_id": "1111111111",
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  ],
  "includes": {
    "users": [
      {
        "id": "1111111111",
        "username": "example_user"
      }
    ]
  },
  "meta": {
    "result_count": 1
  }
}
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソールの [Project と App](/ja/resources/fundamentals/developer-apps)
  * App の [キーとトークン](/ja/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="クイックスタート" icon="rocket" href="/ja/x-api/posts/quote-tweets/quickstart">
    あるポストに対する引用ポストを取得する
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/posts/quote-tweets-lookup">
    エンドポイントの詳細なドキュメント
  </Card>
</CardGroup>
